function fish_prompt
	set -l last_pipestatus $pipestatus
	set -l normal (set_color normal)

	set -l color_cwd $fish_color_cwd
	set -l suffix '>'

	set -l prompt_status (__fish_print_pipestatus " [" "]" "|" (set_color $fish_color_status) (set_color --bold $fish_color_status) $last_pipestatus)

	set -l remote_host
	if [ $SSH_CONNECTION ]
		set remote_host $normal "[" (set_color $fish_color_host_remote) (prompt_hostname) $normal "] "
	end

	echo -n -s $remote_host "[" (set_color $color_cwd) (prompt_pwd) $normal "]" (fish_vcs_prompt) $normal $prompt_status $suffix " "
end
